# eric3.VCS.mercurialPackage.CommitDialog

Module implementing a dialog to enter the commit message.

### Classes

HgCommitDialog | Class implementing a dialog to enter the commit message.

### Functions

None

## HgCommitDialog

Class implementing a dialog to enter the commit message.

### Derived from

CommitForm

### Methods

HgCommitDialog | Constructor
logMessage | Public method to retrieve the log message.

### HgCommitDialog (Constructor)

HgCommitDialog(parent = None)

Constructor

parent
  parent widget (QWidget)

### HgCommitDialog.logMessage

logMessage()

Public method to retrieve the log message.

Returns:
  the log message (QString)

Up